Bug 17665 - SIP2 Item Information Response returns incorrect circulation status of '08' ( waiting on hold shelf ) if record has any holds
Summary: SIP2 Item Information Response returns incorrect circulation status of '08' (...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-21 18:54 UTC by Kyle M Hall
Modified: 2017-12-07 22:21 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17665 - SIP2 Item Information Response returns incorrect circulation status of '08' ( waiting on hold shelf ) if record has any holds (1.77 KB, patch)
2016-11-21 18:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17665 - SIP2 Item Information Response returns incorrect circulation status of '08' ( waiting on hold shelf ) if record has any holds (1.81 KB, patch)
2016-11-22 11:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17665 - SIP2 Item Information Response returns incorrect circulation status of '08' ( waiting on hold shelf ) if record has any holds (1.98 KB, patch)
2017-04-11 18:29 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17665 - SIP2 Item Information Response returns incorrect circulation status of '08' ( waiting on hold shelf ) if record has any holds (2.08 KB, patch)
2017-05-19 07:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-11-21 18:54:10 UTC
If a record has any holds on it, the SIP2 item information response will return a value of 08 "waiting on hold shelf" even if the item is not actually a waiting hold. This is clearly a bug.
Comment 1 Kyle M Hall 2016-11-21 18:58:06 UTC
Created attachment 57687 [details] [review]
Bug 17665 - SIP2 Item Information Response returns incorrect circulation status of '08' ( waiting on hold shelf ) if record has any holds

If a record has any holds on it, the SIP2 item information response will
return a value of 08 "waiting on hold shelf" even if the item is not
actually a waiting hold. This is clearly a bug.

Test Plan:
1) Find an item that is not a waiting hold, but whose record has one or
   more holds.
2) Issue a SIP2 item information request
3) Note in the response, the circulation status field is '08'
4) Apply this patch
5) Repeat the item informationr request
6) Note the code is now '03' ( available )
7) Check the item in to fill the hold
8) Repeat the item information request
9) Verify the circulation status is now '08'
Comment 2 Katrin Fischer 2016-11-21 19:05:44 UTC
Hi Kyle, as you are looking into this - what's the best option to recognize an item that needs to go on the hold shelf via SIP2? (for sorting etc.) Item request after checkin? Or is there another way to do it?
Comment 3 Kyle M Hall 2016-11-22 11:20:44 UTC
Created attachment 57703 [details] [review]
Bug 17665 - SIP2 Item Information Response returns incorrect circulation status of '08' ( waiting on hold shelf ) if record has any holds

If a record has any holds on it, the SIP2 item information response will
return a value of 08 "waiting on hold shelf" even if the item is not
actually a waiting hold. This is clearly a bug.

Test Plan:
1) Find an item that is not a waiting hold, but whose record has one or
   more holds.
2) Issue a SIP2 item information request
3) Note in the response, the circulation status field is '08'
4) Apply this patch
5) Repeat the item informationr request
6) Note the code is now '03' ( available )
7) Check the item in to fill the hold
8) Repeat the item information request
9) Verify the circulation status is now '08'
Comment 4 Marc Véron 2017-04-11 18:29:30 UTC
Created attachment 62059 [details] [review]
Bug 17665 - SIP2 Item Information Response returns incorrect circulation status of '08' ( waiting on hold shelf ) if record has any holds

If a record has any holds on it, the SIP2 item information response will
return a value of 08 "waiting on hold shelf" even if the item is not
actually a waiting hold. This is clearly a bug.

Test Plan:
1) Find an item that is not a waiting hold, but whose record has one or
   more holds.
2) Issue a SIP2 item information request
3) Note in the response, the circulation status field is '08'
4) Apply this patch
5) Repeat the item informationr request
6) Note the code is now '03' ( available )
7) Check the item in to fill the hold
8) Repeat the item information request
9) Verify the circulation status is now '08'

Followed test plan, works as expected
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 5 Marcel de Rooy 2017-05-19 06:43:38 UTC
QA: Looking here now
Comment 6 Marcel de Rooy 2017-05-19 07:07:59 UTC
Created attachment 63562 [details] [review]
Bug 17665 - SIP2 Item Information Response returns incorrect circulation status of '08' ( waiting on hold shelf ) if record has any holds

If a record has any holds on it, the SIP2 item information response will
return a value of 08 "waiting on hold shelf" even if the item is not
actually a waiting hold. This is clearly a bug.

Test Plan:
1) Find an item that is not a waiting hold, but whose record has one or
   more holds.
2) Issue a SIP2 item information request
3) Note in the response, the circulation status field is '08'
4) Apply this patch
5) Repeat the item informationr request
6) Note the code is now '03' ( available )
7) Check the item in to fill the hold
8) Repeat the item information request
9) Verify the circulation status is now '08'

Followed test plan, works as expected
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Kyle M Hall 2017-05-19 14:31:24 UTC
Pushed to master for 17.05!
Comment 8 Katrin Fischer 2017-05-21 21:18:15 UTC
I am not sure, but was wondering if some 'self returns' might use that to recognize items on hold for sorting them accordingly. Is this something to worry about?
Comment 9 Colin Campbell 2017-05-22 07:45:31 UTC
(In reply to Katrin Fischer from comment #8)
> I am not sure, but was wondering if some 'self returns' might use that to
> recognize items on hold for sorting them accordingly. Is this something to
> worry about?

Most I'm familiar with use the checkin response to govern sorting so (hopefully) this should not affect the workflow
Comment 10 Katrin Fischer 2017-05-22 10:09:04 UTC
Hi Colin, thx for commenting. Because I've been trying to figure this out - which is the marker in the return response?
Comment 11 Colin Campbell 2017-05-22 10:43:25 UTC
(In reply to Katrin Fischer from comment #10)
> Hi Colin, thx for commenting. Because I've been trying to figure this out -
> which is the marker in the return response?

3M added a number of hold related fields CY id of the user with the hold, CT location to route to DA Hold Patron name and CV Alert Type which is 01 if a hold is found 02 if a hold is found requiring transit.
Comment 12 Katrin Fischer 2017-05-22 14:18:55 UTC
Ok, will take me a bit to decipher this :) But this is what Koha does now or just how the standard describes it?